class Processor : public Component {

	public:

    Processor(Machine *);
    virtual ~Processor();

    virtual void interrupt(uint16) = 0;
    virtual void NMI(void) = 0;
    virtual void reset(void) = 0;
    virtual void execute(void) = 0;
    virtual void setRunTime(uint32) = 0;
    virtual void setRegister(uint8, uint8) = 0;
    virtual uint32 getTime(void) = 0;
};
